<template>
    <!-- filter -->
    <div class="box p-5 mb-10">
        <form autocomplete="off" @submit.prevent="
            filterForm.get('/attendance/report', {
                preserveScroll: true,
                preserveState: true,
            })
            ">
            <div class="flex items-center text-xl font-bold text-gray-400">
                <Icon icon="fa-solid fa-filter" class="mr-2 text-gray-300"></Icon>
                FILTERS
            </div>

            <div class="w-full">
                <div class="flex w-full">
                    <div class="md:flex flex-grow mb-2">
                        <div class="flex flex-col w-full flex-1 mr-2">
                            <label for="employee-name" class="text-sm font-medium text-gray-700 mb-2 mt-5">Date</label>
                            <input v-model="filterForm.date" type="date" class="input flex-grow" />
                        </div>
                        <div class="flex flex-col w-full flex-1">
                            <label for="department"
                                class="text-sm font-medium text-gray-700 mb-2 mt-5">Department</label>
                            <select v-model="filterForm.department" id="department" class="dropdown flex-grow">
                                <option>All</option>
                                <option>FO</option>
                                <option>FNBS</option>
                                <option>HK</option>
                                <option>AFD</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div v-if="filterForm.errors.date" class="text-error">
                    {{ filterForm.errors.date }}
                </div>
            </div>

            <div class="flex flex-row-reverse gap-x-2">
                <button class="btn bg-green-600 text-white text-sm md:text-base py-2 md:py-3 px-4 md:px-6 font-medium rounded-lg hover:bg-green-700 focus:outline-none focus:ring-2 focus:ring-green-500">Filter</button>
                <Link as="button" class="btn bg-green-600 text-white text-sm md:text-base py-2 md:py-3 px-4 md:px-6 font-medium rounded-lg hover:bg-green-700 focus:outline-none focus:ring-2 focus:ring-green-500" href="/attendance/report">
                Reset
                </Link>
            </div>
        </form>
    </div>

    <div class="relative shadow-md sm:rounded-lg w-[90vw] md:w-full">
        <div class="overflow-auto">
            <table class="w-full table-fixed  text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400 border-collapse">
    <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
      <tr>
         <th scope="col" class="p-4 w-60 md:w-auto">Date</th>
                        <th scope="col" class="w-60 md:w-auto">Employee Name</th>
                        <th scope="col" class="w-40 md:w-auto">Department</th>
                        <th scope="col" class="w-40 md:w-auto">Work Time</th>
                        <th scope="col" class="w-40 md:w-auto">In Punch Time</th>
                        <th scope="col" class="w-40 md:w-auto">Out Punch Time</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- Table rows -->
                    <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600"
                        v-for="attendance in attendances.data">
                        <td class="mb-5 p-4 dark:text-black">
                            {{ attendance.date }}
                        </td>
                        <td class="mb-5 dark:text-black">
                            {{ attendance.username }}
                        </td>
                        <td class="mb-5 dark:text-black">
                            {{ attendance.dpt_code }}
                        </td>
                        <td class="mb-5 dark:text-black">
                            {{ attendance.work_time }}
                        </td>
                        <td class="mb-5 dark:text-black">
                            {{ attendance.in_punch_time }}
                        </td>
                        <td class="mb-5 flex items-center mt-5">
                            {{ attendance.out_punch_time }}
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <Pagination :data="attendances"></Pagination>
</template>


<script setup>
import { computed, onMounted } from "vue";
import { Link, useForm, usePage } from "@inertiajs/vue3";
import Pagination from "@/Components/Pagination.vue";

const page = usePage();
const currentUser = computed(() => page.props.currentUser)

const props = defineProps({
    attendances: Object,
    filters: Object
});

//filter
const filterForm = useForm({
    date: props.filters.date ?? null,
    department: props.filters.department ?? 'All',
});
</script>
